Subject: Re: hpfsc error

From: Zheng Gengbin <[email-masked]>
Date: Sat, 14 Dec 1996 09:29:16 +0800 (EAT)

I just checked this . It is ok now .

	Yan mi , please check if I my change is correct in ymio.c line 141 .

Zheng.

On Wed, 11 Dec 1996, Guansong Zhang wrote:

> Please check this:
> 
> It seems hpfsc will complain about the following program, which can be parsed
> by xlf smoothly.
> 
> Guansong
> 
> --------------------------------
> 
>       PROGRAM LAPLACE
>       INTEGER N,Nsteps
>       PARAMETER(N=16)
>       PARAMETER(Nsteps = 100)
>       INTEGER i,j,k
>       REAL A(N,N),B(N,N),C(N,N),D(N,N),tolerence,error
>       INTEGER niter,nicycle,x,y
>       INTEGER toler(2)
> !HPF$ PROCESSORS PROC(2,2)
> !HPF$ TEMPLATE TEMP(N,N)
> 
> !HPF$ DISTRIBUTE TEMP(BLOCK,BLOCK) ONTO PROC
> 
> !HPF$ ALIGN A(i,j) with TEMP(i,j)
> !HPF$ ALIGN B(i,j) with TEMP(i,j)
> !HPF$ ALIGN C(i,j) with TEMP(i,j)
> 
> !      B = A
> !      C = A
>       print *, 'Final grid looks like'
>       DO I= 1, N
>         write (UNIT=*, FMT=101) (A(I,J),J=1,N)
>       END DO
> 
> 101   FORMAT(12F9.3)
>       END
> 

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************